<template>
	<view>
		<ujp-navbar title="预约反馈" :is-back="false"  ></ujp-navbar>
		<view class="background">
			<view class="img-box">
				<image  class="img" src="@/assets/img/success2@3x.png" mode=""></image>
			</view>
			<view class="text">
				恭喜您，预约成功!
			</view>
			<view class="main">
				<p class="title">尊敬的用户：</p>
				<p>您预约的“<text class="emphasis">凭话费领年卡</text>”活动已通过，
				平台定于<text class="emphasis underline">2024年3月4日</text>（下周一）
				至<text class="emphasis underline">2024年3月8日</text>（下周五）集中办理，
				请携带个人<text class="red" >身份证</text>、<text class="red">车辆行驶证</text>前往<text class="emphasis underline">荆鹏软件园一楼</text>柜台办理。</p>
			<view class="map"  @click="navigate" >
				<image class="map-img" src="@/assets/img/map@3x.png" mode=""></image>
			</view>
			<view class="hint"  @click="navigate" >
				点击查看地图导航
			</view>
			</view>
		</view>
	</view>
</template>

<script>
	
	import wx from 'weixin-js-sdk'
	import * as API from '@/apis/temporary.js'
	import * as WxJsApi from '@/utils/wxJsApi.js'
	import * as API_weixin from '@/apis/weixin.js'
	
	
	export default {
		data() {
			return {
				
			}
		},
		onLoad() {
				this.get_wx_config();
		},
		onReady() {
			this.looked()
		},
		methods: {
			//获取微信jssdk配置信息
			get_wx_config() {
				//
				var _this = this
				API_weixin.getConfig().then(response => {
					var wxconfig = response.data.wxConfig;
			
					wx.config({
						debug: false, // 开启调试模式,
						appId: wxconfig.appId, // 必填，企业号的唯一标识，此处填写企业号corpid
						timestamp: wxconfig.timestamp, // 必填，生成签名的时间戳
						nonceStr: wxconfig.nonceStr, // 必填，生成签名的随机串
						signature: wxconfig.signature, // 必填，签名，见附录1
						jsApiList: [
							 'openLocation'
							
						], // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
			
					});
					
					wx.error(function(res) {
						//('微信api配置出错');
					});
				}).catch(error => {
			
					//(error);
				})
			
			},
			looked(){
				API.looked({
					event:1,
					openId: this.carhelp.getOpenId()
				}).then((res) => {
				
					
				
					//setGzDate
				}).catch(error => {
					
				})
			},
			navigate() {
				// x
				// : 
				// "112.276527"
				// y
				// : 
				// "30.306427"
				//console.log(item)
				uni.showLoading({
			
				})
				WxJsApi.openLocation({
					latitude: parseFloat(30.306427), //目的地latitude
					longitude: parseFloat(112.276527), //目的地longitude
					name: "江津东路附155号荆鹏软件园",
					address: "携带本人身份证、车辆行驶证前往江津东路附155号荆鹏软件园一楼柜台办理",
					scale: 15, //地图缩放大小，可根据情况具体调整
					success(res) {
						uni.hideLoading()
					},
					complete() {
						//	uni.hideLoading()
					}
				});
				// //('station'+JSON.stringify(_self.stationDetail.station))
				// window.location.href = "https://uri.amap.com/marker?position=" + _self.stationDetail.station.longitude +
				// 	"," + _self.stationDetail.station.latitude + "&name=" + _self.stationDetail.station.name;
			
			},
		}
	}
</script>

<style lang="scss" scoped>
	.background{
		height: 360px;
		background: linear-gradient(180deg, rgba(0,185,98,1) 41%,rgba(0,185,98,0) 100%);
		
		position: relative;
		.img-box{
			text-align: center;
			.img{
				width: 144rpx;
				height: 144rpx;
				margin: 56rpx 0 8rpx;
			}
		}
		
		.text{
			color: rgba(255, 255, 255, 1);
			font-size: 40rpx;
			font-weight: bold;
			text-align: center;
		}
		
		.main{
			border-radius: 16px;
			background: linear-gradient(180deg, rgba(218,251,235,1) 0%,rgba(255,255,255,1) 8%);
			border: 1px solid rgba(255, 255, 255, 1);
			padding: 40rpx;
			position: absolute;
			top:320rpx;
			left:48rpx;
			right: 48rpx;
			color: rgba(51, 51, 51, 1);
			font-size: 32rpx;
			line-height: 64rpx;
			text-align: justify;
			.title{
				font-weight: bold;
				margin-bottom: 32rpx;
			}
			.emphasis{
				display: inline-block;
				font-weight: bold;
				
			}
			.underline{
				text-decoration: underline;
			}
			.red{
				display: inline-block;
				font-weight: bold;
				text-decoration: underline;
				color: #FF6923 ;
			}
			.map-img{
				width: 574rpx;
				height: 200rpx;
				margin-top: 40rpx;
			}
			.hint{
				color: rgba(153, 153, 153, 1);
				font-size: 24rpx;
				
				text-align: center;
			}
		}
	}

</style>
